---
environments:
  production:
    values:
      - values_default.yaml
      - values_prod.yaml
    secrets:
      - prod_secrets.yaml

---
repositories:
  - name: logilab
    url: https://helm.logilab.fr

releases:
  - name: {{ requiredEnv "CI_ENVIRONMENT_NAME" }}
    chart: logilab/cubicweb
    version: 0.15.0
    atomic: true
    wait: true
    timeout: 900
    namespace: rodolf
    createNamespace: false
    values:
      - values.yaml.gotmpl

  - name: {{ requiredEnv "CI_ENVIRONMENT_NAME" }}-front
    chart: logilab/web-app
    version: 0.2.2
    atomic: true
    wait: true
    timeout: 900
    namespace: rodolf
    createNamespace: false
    values:
      - values-front.yaml.gotmpl
